# IpeArc Class Reference
[Ipe Geometry]

An arc of an ellipse. More...

List of all members.

## Public Member Functions

- IpeArc ()
- IpeArc (const IpeMatrix &m, IpeAngle alpha, IpeAngle beta)
- IpeArc (const IpeMatrix &m)
- IpeArc (const IpeMatrix &m0, const IpeVector &begp, const IpeVector &endp)
- double Distance (const IpeVector &v, double bound)
- double Distance (const IpeVector &v, double bound, IpeVector &pos, IpeAngle &angle)
- IpeRect BBox () const
- bool Intersects (const IpeLine &l, IpeVector &pt) const
- bool Intersects (const IpeSegment &l, IpeVector &pt) const

## Public Attributes

- IpeMatrix iM
- IpeAngle iAlpha
- IpeAngle iBeta

## Detailed Description

An arc of an ellipse.

This object can also describe a full ellipse if iAlpha = iBeta = 0.

## Constructor & Destructor Documentation

IpeArc::IpeArc | ( |  | ) | `[inline]`

| Construct unit circle.

IpeArc::IpeArc | ( | const IpeMatrix & | m,
|  | IpeAngle | alpha,
|  | IpeAngle | beta
| ) | `[inline]`

| Construct with given parameters.

IpeArc::IpeArc | ( | const IpeMatrix & | m | ) | `[inline]`

| Construct an ellipse.

IpeArc::IpeArc | ( | const IpeMatrix & | m0,
|  | const IpeVector & | begp,
|  | const IpeVector & | endp
| ) |

| Construct arc for ellipse defined by m, from begp to endp.

## Member Function Documentation

double IpeArc::Distance | ( | const IpeVector & | v,
|  | double | bound
| ) |

| This doesn't really compute the distance, but a reasonable approximation.

double IpeArc::Distance | ( | const IpeVector & | v,
|  | double | bound,
|  | IpeVector & | pos,
|  | IpeAngle & | angle
| ) |

| Like Distance(), but sets pos to point on arc and angle to its angle in arc coordinates. angle and pos are not modified if result is larger than bound.

IpeRect IpeArc::BBox | ( |  | ) | const

| Return a tight bounding box.

The documentation for this class was generated from the following files:

- ipegeo.h
- ipegeo.cpp